package com.javaworld.jpitfalls.article5;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class BadLayeredPane extends JFrame
{
    public BadLayeredPane()
    {
        // Error 1: using the Root layered pane       
        JLayeredPane lp = getLayeredPane();

        // set the size of this pane        
        lp.setPreferredSize(new Dimension(100,100));
        
        // add a Colored Panel 
        JPanel jpnl = new JPanel();
        jpnl.setSize(100,100);
        jpnl.setOpaque(true);
        jpnl.setBackground(Color.red);
        
        // Error 2: these MUST be of type Integer.
        lp.add(jpnl, 2);
        
        // put a Button on top
        Button b = new Button("Hi!");
        // Error 3: adding button wrong
        lp.add(b, 1);        
    }

    public static void main(String [] args)
    {
        JFrame frame = new BadLayeredPane();

        frame.addWindowListener(
        new WindowAdapter() 
        {
            public void windowClosing(WindowEvent e) 
            {
                System.exit(0);
            }
        });

        frame.pack();
        frame.setVisible(true);            
    }
}
