package com.javaworld.jpitfalls.article5;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class BadLayeredPane2 extends JFrame
{
    public BadLayeredPane2()
    {
        // Fix 1: Create a JLayeredPane
        JLayeredPane lp = new JLayeredPane();
        
        // set the size of this pane        
        lp.setPreferredSize(new Dimension(100,100));
                        
        // add a Colored Panel 
        JPanel jpnl = new JPanel();
        jpnl.setSize(100,100);
        jpnl.setOpaque(true);
        jpnl.setBackground(Color.red);
        
        // Fix 2: using Integer objects
        lp.add(jpnl, new Integer(2));
        
        // put a Button on top
        Button b = new Button("Hi!");
        lp.add(b, new Integer(1));        

        // Part of Fix 1
        getContentPane().add(lp);
    }

    public static void main(String [] args)
    {
        JFrame frame = new BadLayeredPane2();

        frame.addWindowListener(
        new WindowAdapter() 
        {
            public void windowClosing(WindowEvent e) 
            {
                System.exit(0);
            }
        });

        frame.pack();
        frame.setVisible(true);            
    }
}
