package com.javaworld.jpitfalls.article5;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class GoodLayeredPane extends JFrame
{
    public GoodLayeredPane()
    {
        JLayeredPane lp = new JLayeredPane();
        
        // set the size of this pane        
        lp.setPreferredSize(new Dimension(100,100));
                        
        // add a Colored Panel 
        JPanel jpnl = new JPanel();
        jpnl.setSize(100,100);
        jpnl.setOpaque(true);
        jpnl.setBackground(Color.red);
        
        lp.add(jpnl, new Integer(1));
        
        // put a Button on top
        Button b = new Button("Hi!");
        // Fix 1: set the size and position
        b.setBounds(10,10, 80, 40);
        lp.add(b, new Integer(2));        

        getContentPane().add(lp);
    }

    public static void main(String [] args)
    {
        JFrame frame = new GoodLayeredPane();

        frame.addWindowListener(
        new WindowAdapter() 
        {
            public void windowClosing(WindowEvent e) 
            {
                System.exit(0);
            }
        });

        frame.pack();
        frame.setVisible(true);            
    }
}
