import java.io.*;

public class TestFileRename
{
    public static void main(String args[])
    {
        if (args.length < 2)
        {
            System.out.println("USAGE: TestFileRename fileToRename newName");
            System.exit(1);
        }
        
        try
        {
            File f1 = new File(args[0]);
            File f2 = new File(args[1]);
            if (f1.renameTo(f2))
                System.out.println("Rename successful");
            else
                System.out.println("Rename FAILED.");
        } catch (Throwable t)
          {
            t.printStackTrace();  
          }        
    }        
}
